curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"url": "<string>"
}
]
}
'[
{
"url": "https://www.youtube.com/@channelname",
"handle": "@channelname",
"banner_img": "https://...",
"profile_image": "https://...",
"name": "Channel Name",
"subscribers": 299,
"Description": "Channel description...",
"videos_count": 21,
"created_date": "2024-11-25T00:00:00.000Z",
"views": 98723,
"Details": {"location": "United States"},
"Links": ["youtube.com/@channelname"],
"identifier": "UC...",
"id": "UC...",
"has_podcast": false,
"top_videos": [
{
"Image_url": "https://...",
"posted_time": "3 weeks ago",
"title": "Video Title",
"video_url": "https://www.youtube.com/watch?v=abc",
"views": 11
}
]
}
]
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"url": "<string>"
}
]
}
'[
{
"url": "https://www.youtube.com/@channelname",
"handle": "@channelname",
"banner_img": "https://...",
"profile_image": "https://...",
"name": "Channel Name",
"subscribers": 299,
"Description": "Channel description...",
"videos_count": 21,
"created_date": "2024-11-25T00:00:00.000Z",
"views": 98723,
"Details": {"location": "United States"},
"Links": ["youtube.com/@channelname"],
"identifier": "UC...",
"id": "UC...",
"has_podcast": false,
"top_videos": [
{
"Image_url": "https://...",
"posted_time": "3 weeks ago",
"title": "Video Title",
"video_url": "https://www.youtube.com/watch?v=abc",
"views": 11
}
]
}
]
gd_lk538t2k2p1k3oos71 to collect YouTube channels data.[
{
"url": "https://www.youtube.com/@channelname",
"handle": "@channelname",
"banner_img": "https://...",
"profile_image": "https://...",
"name": "Channel Name",
"subscribers": 299,
"Description": "Channel description...",
"videos_count": 21,
"created_date": "2024-11-25T00:00:00.000Z",
"views": 98723,
"Details": {"location": "United States"},
"Links": ["youtube.com/@channelname"],
"identifier": "UC...",
"id": "UC...",
"has_podcast": false,
"top_videos": [
{
"Image_url": "https://...",
"posted_time": "3 weeks ago",
"title": "Video Title",
"video_url": "https://www.youtube.com/watch?v=abc",
"views": 11
}
]
}
]
Was this page helpful?